# valuenode_add.cpp File Reference

Implementation of the "Add" valuenode conversion. More...

`#include "general.h"`
`#include "valuenode_add.h"`
`#include "valuenode_const.h"`
`#include <stdexcept>`
`#include "color.h"`
`#include "gradient.h"`
`#include "vector.h"`
`#include "angle.h"`
`#include "real.h"`
`#include <ETL/misc>`

## Detailed Description

Implementation of the "Add" valuenode conversion.

$Id$